/* Reset of all margins and paddings */

*
{
    margin: 0;
    padding: 0;
}

/* Main styling */

body
{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: grid;
    grid-template-rows: repeat(2, 0.08fr) repeat(4,0.16fr) 0.03fr 0.16fr 0.05fr;
    grid-template-areas: 
    "header"
    "nav"
    "text1"
    "text2"
    "text3"
    "text4"
    "laes"
    "menu"
    "footer";
}
.desktop{
    display: none;
}
img{
    max-width: 100vw;
    justify-self: end;
}
header{
    display: grid;
    grid-area: header;
    grid-template-rows: 1fr 1fr;
    background-color: #CCCCCC;
}
img.headerimg1{
    width: 100%;
}
div.nav{
    display: grid;
    grid-area: nav;
    grid-template-columns: 1fr 1fr;
    background-color: #565952;
    text-align: center;
}
div.nav a{
    color: white;
    text-decoration: none;
}
div.years{
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.text1{
    grid-area: text1;
}
.text2{
    grid-area: text2;
}
.text3{
    grid-area: text3;
}
.text4{
    grid-area: text4;
}
h2
{
    color: #565952;
    margin-bottom: 1em;
    padding-bottom: 1em;
    border-bottom: 1px solid #565952;
}
article{
    width: 85vw;
    justify-self: center;
    margin: 1rem 0rem;
}
article>div>img{
    float: left;
    margin-right: 0.8rem;
    margin-bottom: 0.8rem;
}
article>div>p:nth-of-type(1){
    font-weight: bold;
    color: rgba(50, 54, 84, 1);
}
.læs{
    grid-area: laes;
}
div.læs{
    background-color: #CCCCCC;
    color: #111111;
}
.menu{
    grid-area: menu;
}
nav ul{
    display: grid;
    list-style-type: none;
    width: 100vw;
    background-color: rgb(75, 80, 125);
}
nav li{
    justify-self: center;
    text-align: left;
    width: 90vw;
}
nav ul li:hover
{
    background-color: #CCCCCC;
}
nav ul a
{
    margin: 0.2rem 0rem;
    margin-left: 0.5rem;
    text-decoration: none;
    color: white;
}
nav ul li:hover a
{
    color: rgba(50, 54, 84, 0.8);
}
nav li:not(nav li:nth-of-type(11)){
    border-bottom: 0.1rem solid white;
}
footer{
    grid-area: footer;
    background-color: #565952;
    text-align: center;
    color: white;
}
footer a{
    color: white;
    text-decoration: none;
}

@media screen and (min-width: 768px){
    body{
        display: grid;
        grid-template-rows: 0.13fr 0.07fr 0.7fr 0.07fr;
        grid-template-areas: 
        "header"
        "nav"
        "main"
        "footer";
    }
    body>nav.menu{
        display: none;
    }
    header{
        grid-template-columns: 2fr 5fr;
        grid-template-rows: 1fr;
    }
    .headerimg1{
        object-fit: cover;
        height: 100%;
    }
    .headerimg2{
        float: right;
    }
    div.nav a{
        display: table-cell;
        vertical-align: middle;
        width: 99%;
    }
    div.nav{
        grid-template-columns: repeat(3, 1fr) 2fr repeat(2,1fr);
        grid-template-areas: "nav1 nav2 nav3 nav4 nav5 nav6";
        width: 100%;
        background-color: #565952;
        text-align: center;
    }
    div.nav div:not(div.nav>div.years):not(div.border){
        color: white;
        text-decoration: none;
        height: 100%;
    }
    div.nav div:not(div.nav>div.last):not(div.nav>div.years):not(div.border){
        display: table;
    }
    div.nav>div.last{
        display: table;
    }
    div.border{
        display: table-cell;
        background-color: white;
        height: 100%;
        width: 1%;
    }
    .nav1{
        grid-area: nav1;
    }
    .nav2{
        grid-area: nav2;
    }
    .nav3{
        grid-area: nav3;
    }
    .nav4{
        grid-area: nav4;
    }
    .nav5{
        grid-area: nav5;
    }
    .nav6{
        grid-area: nav6;
    }
    #yeara{
        grid-area: a;
    }
    #yearn{
        grid-area: b;
    }
    div.nav>div.years{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr;
        grid-template-areas: "a b";
    }
    .articles{
        grid-area: arts;
        display: grid;
        grid-template-rows: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "text1 text2"
        "text3 text4";
        margin: 1rem;
    }
    article{
        width: 80%;
        justify-self: center;
        margin: 1rem 0rem;
    }

    .desktop{
        width: 100%;
        display: grid;
        grid-template-columns: 1fr 6fr;
        grid-template-areas: 
        "menu arts";
        grid-area: main;
    }
    .menu{
        display: grid;
        grid-template-rows: 0.73fr 0.266fr;
    }
    nav ul{
        width: 100%;
        height: 100%;
    }
    nav li{
        width: 90%;
        display: table;
    }
    nav a{
        display: table-cell;
        vertical-align: middle;
    }

    body>article,body>nav{
        display: none;
    }

    .læs{
        display: none;
    }
}
/*


body > li, footer
{
    height: 40px;
    background-color: #565952;
    color: white;
}

body > li a
{
    border-right: 1px solid white;
    color: white;
    text-decoration: none;
}

body > li a::before
{
    content: "🞂";
    padding-right: 0.5rem;
    color: rgba(50, 54, 84, 0.8);
}

nav.side ul
{
    background-color: rgba(50, 54, 84, 0.8);
}

nav.side ul li a
{
    display: block;
    border-bottom: 1px solid white;
    margin: 0 1rem;
}

footer
{
    line-height: 40px;
}
*/